> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hotglue.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve linked source

> Fetch the linked source for a tenant. This can be useful for fetching credentials and flags, and to confirm that a user is properly connected.



## OpenAPI

````yaml get /{env_id}/{flow_id}/{tenant}/linkedSources
openapi: 3.1.0
info:
  title: hotglue API
  version: '1.2'
servers:
  - url: https://api.hotglue.com
security:
  - sec0: []
paths:
  /{env_id}/{flow_id}/{tenant}/linkedSources:
    get:
      summary: Retrieve linked source
      description: >-
        Fetch the linked source for a tenant. This can be useful for fetching
        credentials and flags, and to confirm that a user is properly connected.
      operationId: linked-sources-retrieve
      parameters:
        - name: env_id
          in: path
          description: ID of environment
          schema:
            type: string
          required: true
        - name: flow_id
          in: path
          description: ID of flow
          schema:
            type: string
          required: true
        - name: tenant
          in: path
          description: ID of tenant
          schema:
            type: string
          required: true
        - name: token
          in: query
          description: >-
            JWT token generated with your private signing key. Required if
            config is requested
          schema:
            type: string
        - name: config
          in: query
          description: Request the underlying config for the linked source
          schema:
            type: boolean
        - name: catalog
          in: query
          description: >-
            Request the catalog of available fields/data to be returned in the
            payload
          schema:
            type: boolean
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    - tap: asana
                      domain: asana.com
                      label: Asana
                      tap_url: >-
                        https://app.asana.com/-/oauth_authorize?response_type=code&client_id=*********
                      auth_url: https://app.asana.com/-/oauth_token
                      icon: >-
                        https://s3.amazonaws.com/cdn.hotglue.xyz/images/logos/asana.svg
                      type: oauth
                      client_id: '**********'
                      fieldMap:
                        tasks:
                          name: tasks
                          selected:
                            - gid
                            - modified_at
                            - resource_type
                            - name
                            - approval_status
                            - assignee_status
                            - completed
                            - completed_at
                            - completed_by
                            - created_at
                            - dependencies
                            - dependents
                            - due_at
                            - due_on
                            - external
                            - hearted
                            - hearts
                            - html_notes
                            - is_rendered_as_seperator
                            - liked
                            - likes
                            - memberships
                            - notes
                            - num_hearts
                            - num_likes
                            - num_subtasks
                            - resource_subtype
                            - start_on
                            - assignee
                            - custom_fields
                            - followers
                            - parent
                            - permalink_url
                            - projects
                            - tags
                            - workspace
              schema:
                type: array
                items:
                  type: object
                  properties:
                    tap:
                      type: string
                      example: asana
                    domain:
                      type: string
                      example: asana.com
                    label:
                      type: string
                      example: Asana
                    tap_url:
                      type: string
                      example: >-
                        https://app.asana.com/-/oauth_authorize?response_type=code&client_id=*********
                    auth_url:
                      type: string
                      example: https://app.asana.com/-/oauth_token
                    icon:
                      type: string
                      example: >-
                        https://s3.amazonaws.com/cdn.hotglue.xyz/images/logos/asana.svg
                    type:
                      type: string
                      example: oauth
                    client_id:
                      type: string
                      example: '**********'
                    fieldMap:
                      type: object
                      properties:
                        tasks:
                          type: object
                          properties:
                            name:
                              type: string
                              example: tasks
                            selected:
                              type: array
                              items:
                                type: string
                                example: gid
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: {}
              schema:
                type: object
                properties: {}
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: x-api-key

````